Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.dynamicconfig.api
Class NoSuchNameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.connecterra.ale.dynamicconfig.api.PluginException
                  com.connecterra.ale.dynamicconfig.api.NoSuchNameException

All Implemented Interfaces:
  Serializable

    public class NoSuchNameException

extends PluginException

Thrown when a non existent name is referenced.

See Also:
  Serialized Form

Constructor Summary
`NoSuchNameException()` Constructs a `NoSuchNameException` with no detail message or cause.
`NoSuchNameException(String message)` Constructs a `NoSuchNameException` with the specified detail message.
`NoSuchNameException(String message, Throwable cause)` Constructs a `NoSuchNameException` with the specified detail message.
`NoSuchNameException(Throwable cause)` Constructs a `NoSuchNameException` with the specified causing exception and a detail message from the causing exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchNameException

    public NoSuchNameException()

  Constructs a `NoSuchNameException` with no detail message or cause. The cause may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

### NoSuchNameException

    public NoSuchNameException(String message)

  Constructs a `NoSuchNameException` with the specified detail message. The cause is not initialized and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

  Parameters:
    `message` - the detail message of the exception

### NoSuchNameException

    public NoSuchNameException(Throwable cause)

  Constructs a `NoSuchNameException` with the specified causing exception and a detail message from the causing exception.

  Parameters:
    `cause` - the causing exception. Null value is allowed and indicates that the cause is nonexistent or unknown.

### NoSuchNameException

    public NoSuchNameException(String message,
                               Throwable cause)

  Constructs a `NoSuchNameException` with the specified detail message.

  Parameters:
    `message` - the detail message of the exception
    `cause` - the causing exception. Null value is allowed and indicates that the cause is nonexistent or unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD